## zefr0x-moadaly.zip

=== requirements/requirements.txt ===
#
# This file is autogenerated by pip-compile with Python 3.11
# by the following command:
#
#    pip-compile --generate-hashes requirements/requirements.in
#
pyside6==6.6.2 \
    --hash=sha256:3b6266fb29bab66526f2bbab2a6610f9f47a4df42ae6fb3713cd8329f593a561 \
    --hash=sha256:5bdaa27d1a921c35764d82a2ec86943488c818cb33b9e16b2784d539b45f6171 \
    --hash=sha256:a8200b2a1f02e42adfd1f41bc60d52d157398778b6ba232d46ad7402bc6f91ec \
    --hash=sha256:e359ebccd3f90fba85ebd5b93bdeadfa9e5d2fd06b3b5e8985aa5da50ca6243b
    # via -r requirements/requirements.in
pyside6-addons==6.6.2 \
    --hash=sha256:4fb00bc98bc8335177eaa8f6d70ba687ab9bf00b3ee343abbc7156040f3e586d \
    --hash=sha256:748151fb49d5fe760b7cf6c88c4ec851e68d66a119939567407115948bf8a08f \
    --hash=sha256:90f20dcf2caf69307e20d3d682cbe2b1a38e7ddb1f50f4f0e3ae4306219f8883 \
    --hash=sha256:cbdb7393de88a916ed1e9bd8407149f911717d1e06aee04119e26042679d8cce
    # via pyside6
pyside6-essentials==6.6.2 \
    --hash=sha256:030a0565ad2d6361ed8be7826f81fe3dbb7a98330837687608e75cbede5f0ca2 \
    --hash=sha256:11496a322138eab4579c3683d2e3afebb41435412d4109394cb2b9ddaac66fe3 \
    --hash=sha256:41373f9b8fd17bb39a7dc7da85168508fe288955a17117c2e993339f387b23c1 \
    --hash=sha256:90be2cf1a404f1c62777ccc6898895c864376f1fd68ae9f82f7622522bce5814
    # via
    #   pyside6
    #   pyside6-addons
shiboken6==6.6.2 \
    --hash=sha256:531728324ad3ad4ed7b1d85d2dff548d618182d67024e16e84079f7db104590d \
    --hash=sha256:60dbad15901ad6fff6e198d8668091bbb2f20b82729412e5fd4d47ac86c97d42 \
    --hash=sha256:9da86622cee5e7201bafe9c5beee3c06d9168c6b8f3e2fac52c1b7df00956bff \
    --hash=sha256:d4e99e7d1137a7d2c665a465b80baf820829dfba5fe474549d49b0ef81b0abf2
    # via
    #   pyside6
    #   pyside6-addons
    #   pyside6-essentials

=== packaging/aur/PKGBUILD ===
# Maintainer: zer0-x

pkgname="moadaly"
pkgver="0.1.0"
pkgrel=1
pkgdesc="Calculating GPA and other related stuff, for every student"
arch=('any')
url="https://github.com/zer0-x/moadaly"
license=('GPL3')
depends=('pyside6')
makedepends=('python-setuptools')
# checkdepends = ('python-pytest' 'python-pytest-qt')
# changelog=
source=("${pkgname}-${pkgver}.tar.gz::https://github.com/zer0-x/${pkgname}/archive/refs/tags/v${pkgver}.tar.gz")
sha512sums=('SKIP')

build() {
    cd "${pkgname}-${pkgver}"
    python3 setup.py build
}

# check() {
#     cd "${pkgname}-${pkgver}"
#
#     pytest
# }

package() {
    cd "${pkgname}-${pkgver}"
    python setup.py install --root="${pkgdir}/" --optimize=1 --skip-build

    install -Dm644 "assets/io.github.zer0_x.moadaly.svg" "${pkgdir}/usr/share/icons/hicolor/scalable/apps/io.github.zer0_x.moadaly.svg"
    install -Dm644 "io.github.zer0_x.moadaly.desktop" "${pkgdir}/usr/share/applications/io.github.zer0_x.moadaly.desktop"
}
